---
title: AbstractRange.endOffset
slug: Web/API/AbstractRange/endOffset
tags:
  - API
  - AbstractRange
  - DOM
  - DOM API
  - End
  - Property
  - Range
  - Read-only
  - Reference
  - endOffset
  - offset
---
<p>{{APIRef("DOM")}}</p>

<p>The <strong><code>endOffset</code></strong> property of the {{domxref("AbstractRange")}} interface returns the offset into the end node of the range's end position.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>var endOffset = range</em>.endOffset;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the number of characters into the {{domxref("Node")}} indicated by {{domxref("AbstractRange.endContainer", "endContainer")}} at which the final character of the range is located.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-endoffset', 'endOffset')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-AbstractRange-endoffset','endOffset')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AbstractRange.endOffset")}}</p>
</div>
